QScintilla: QextScintillaLexerJavaScript Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# QextScintillaLexerJavaScript Class Reference

The QextScintillaLexerJavaScript class encapsulates the Scintilla JavaScript lexer. More...

`#include <qextscintillalexerjavascript.h>`

Inherits QextScintillaLexerCPP.

List of all members.

## Public Member Functions

- QextScintillaLexerJavaScript (QObject *parent=0, const char *name=0)
- virtual ~QextScintillaLexerJavaScript ()
- const char * language () const
- QColor color (int style) const
- bool eolFill (int style) const
- QFont font (int style) const
- const char * keywords (int set) const
- QString description (int style) const
- QColor paper (int style) const

## Detailed Description

The QextScintillaLexerJavaScript class encapsulates the Scintilla JavaScript lexer.

## Constructor & Destructor Documentation

QextScintillaLexerJavaScript::QextScintillaLexerJavaScript | ( | QObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaLexerJavaScript with parent parent and name name. parent is typically the QextScintilla instance.

virtual QextScintillaLexerJavaScript::~QextScintillaLexerJavaScript | ( |  | ) | `[virtual]`

Destroys the QextScintillaLexerJavaScript instance.

## Member Function Documentation

const char* QextScintillaLexerJavaScript::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Reimplemented from QextScintillaLexerCPP.

QColor QextScintillaLexerJavaScript::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from QextScintillaLexerCPP.

bool QextScintillaLexerJavaScript::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QextScintillaLexerCPP.

QFont QextScintillaLexerJavaScript::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QextScintillaLexerCPP.

const char* QextScintillaLexerJavaScript::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QextScintillaLexerCPP.

QString QextScintillaLexerJavaScript::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then QString::null is returned. This is intended to be used in user preference dialogs.

Reimplemented from QextScintillaLexerCPP.

QColor QextScintillaLexerJavaScript::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from QextScintillaLexerCPP.